# Produce Win64 executables
# links with PDPCLIB created by makefile.mx7

CC=pdcc -D__MACOS__ -D__NOBIVA__ -D__gnu_linux__
AS=pdas --64
LD=pdld -s -nostdlib --oformat macho -e __pdpent

all: world.exe

world.exe: world.obj
  $(LD) -o world.exe ../pdpclib/linstart.o world.obj ../pdpclib/pdpmacos.a

.c.obj:
  $(CC) -I ../pdpclib -o $*.s $<
  $(AS) -o $@ --oformat coff $*.s
  rm -f $*.s
